Subject: [GROW] FW: New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-01.txt

From: "Guyunan (Yunan Gu, IP Technology Research Dept. NW)" <[email-masked]>
Date: Tue, 9 Jul 2019 02:48:22 +0000

Dear WG,

We've uploaded a new draft version: draft-xu-grow-bmp-route-policy-attr-trace.

Thanks a lot for all the comments and suggestions online and offline since IETF 104 on this work. Specifically, we’d like to thank Jeff, Ruediger, Igor, Job, Susan, and Thomas for your valuable comments. Here are some major revision points.

1.      The message structure is modified into the basic information part with the flexible part:

a)        The basic information part is fixed length, and provides information like prefix, AFI/SAFI, timestamp and so on.

b)       The flexible part is TLV based, and each TLV is optionally added. We have defined Pre-policy and Post-policy TLVs, Policy ID TLVs, Optional TLVs to allow flexible expression of event contents and format.

2.      One of the major concern is the representation of route policy:

a)        Being too simple to express complex policy structures like chaining and recursion --> we have designed a new structure that is capable of representing such structures (at least I believe).

3.      Allowing locally significant data to be recorded and reported:

a)        we defined an Optional TLV, which could be potentially a string type TLV. It allows user-specific, vendor-specific, non-structured way of expressing the policy name/ID, as well as the policy execution result.

b)       In addition to using the Optional TLV, we allow the other TLVs to be selectively used per user configuration. So, users may have customized data and format for event record.

Finally, comments are again very welcome and appreciated!

BR,

Yunan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, July 08, 2019 7:42 PM
To: Zhuangshunwan <[email-masked]>; Guyunan (Yunan Gu, IP Technology Research Dept. NW) <[email-masked]>; Lizhenbin <[email-masked]>; Feng Xu <[email-masked]>
Subject: New Version Notification for draft-xu-grow-bmp-route-policy-attr-trace-01.txt

A new version of I-D, draft-xu-grow-bmp-route-policy-attr-trace-01.txt

has been successfully submitted by Yunan Gu and posted to the IETF repository.

Name:          draft-xu-grow-bmp-route-policy-attr-trace

Revision:      01

Title:             BGP Route Policy and Attribute Trace Using BMP

Document date: 2019-07-07

Group:         Individual Submission

Pages:          21

URL:            https://www.ietf.org/internet-drafts/draft-xu-grow-bmp-route-policy-attr-trace-01.txt

Status:         https://datatracker.ietf.org/doc/draft-xu-grow-bmp-route-policy-attr-trace/

Htmlized:       https://tools.ietf.org/html/draft-xu-grow-bmp-route-policy-attr-trace-01

Htmlized:       https://datatracker.ietf.org/doc/html/draft-xu-grow-bmp-route-policy-attr-trace

Diff:           https://www.ietf.org/rfcdiff?url2=draft-xu-grow-bmp-route-policy-attr-trace-01

Abstract:

   The generation of BGP adj-rib-in, local-rib or adj-rib-out comes from

   BGP protocol communication, and route policy processing.  BGP

   Monitoring Protocol (BMP) provides the monitoring of BGP adj-rib-in

   [RFC7854], BGP local-rib [I-D.ietf-grow-bmp-local-rib] and BGP adj-

   rib-out [I-D.ietf-grow-bmp-adj-rib-out].  However, there lacks

   monitoring of how BGP routes are transformed from adj-rib-in into

   local-rib and then adj-rib-out (i.e., the BGP route policy processing

   procedures).  This document describes a method of using BMP to trace

   the change of BGP routes in correlation with responsible route

   policies.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat